# Uses of Class
org.eclipse.birt.chart.event.RectangleRenderEvent

Packages that use RectangleRenderEvent
Package
Description
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.

## Uses of RectangleRenderEvent in org.eclipse.birt.chart.device

Methods in org.eclipse.birt.chart.device with parameters of type RectangleRenderEvent
Modifier and Type
Method
Description
`void`
DeviceAdapter.`drawRectangle(RectangleRenderEvent rre)`
`void`
IPrimitiveRenderer.`drawRectangle(RectangleRenderEvent rre)`
This method is responsible for drawing a rectangle on the target rendering device's graphic context.
`void`
DeviceAdapter.`fillRectangle(RectangleRenderEvent rre)`
`void`
IPrimitiveRenderer.`fillRectangle(RectangleRenderEvent rre)`
This method is responsible for filling a rectangle on the target rendering device's graphic context.